Bug 3081 - libttf.so not in freetype-devel
Summary: libttf.so not in freetype-devel
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gd
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-27 01:44 UTC by redhat
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-21 16:00:39 UTC


Attachments (Terms of Use)

Description redhat 1999-05-27 01:44:40 UTC
For PHP3 to work easily out of the box using the gd
module, it needs libttf.so - this is available in
the freetype rpm, but that rpm needs to have X installed.

Earlier builds of freetype-devel-1.2 had the shared
object; as does the one on freetype.org

Comment 1 Jay Turner 1999-05-27 14:32:59 UTC
This issue has been forwarded to a developer for further review

Comment 2 Cristian Gafton 1999-06-16 16:10:59 UTC
Preston, can you make any sens out of this?

Comment 3 Preston Brown 1999-06-21 16:00:59 UTC
This is true, the freetype rpm does have some files (utilities) which
depend on X, so the whole package picks up an X dependency.  You can
force installation of the RPM and get around the dependency; if you
don't ever use the utilities (which require X) you will not have any
problems.

In the future we may split off the utilities into a separate package,
which would remove the X dependency on the core freetype package.
However, we won't move it into the devel RPM; the devel rpm should
only contain things needed for development, and the shared library is
needed by runtime (already compiled) applications.

------- Email Received From  idcmp@spiral.tainted.org 06/21/99 18:27 -------


Note You need to log in before you can comment on or make changes to this bug.